## Class CharLiteral

    java.lang.Object
      |
      +--Statement
            |
            +--ExprStmt
                  |
                  +--Expr
                        |
                        +--Literal
                              |
                              +--CharLiteral

public class CharLiteral
extends Literal

Field Summary
`private char` `Char`

Fields inherited from class Expr
`usedid`

Fields inherited from class ExprStmt
`type`

Constructor Summary
`(package private)` `CharLiteral()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` `get_Name()`
`void` `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` `set_Char(char c)`

Methods inherited from class Expr
`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId`

Methods inherited from class ExprStmt
`get_Type`

Methods inherited from class Statement
`print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Char

    private char Char

Constructor Detail

### CharLiteral

    CharLiteral()

Method Detail

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)

  Specified by:
    `sc_check` in class `Expr`

### set_Char

    public void set_Char(char c)

### get_Name

    public java.lang.String get_Name()

  Specified by:
    `get_Name` in class `Expr`

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
    `JVMCodeException`